<template>

<!-- The Modal -->



<div class="modal fade"  id="editmodel">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Add New Tasks Here..</h4>
      </div>
      <div class="modal-body">
        <p class="alert alert-success" v-if="success.length > 0">{{ success }}  </p>
        <div class="form-group">
               <label>Enter New Task</label>
              <textarea name="name" id="name" class="form-control" v-model="rec.name"></textarea>
           </div>
      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-primary" v-on:click="addRecord" >submit</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>


</template>
<script type="javascript/text">
 export default{
       props:['rec'],
       data(){
           return {
              success : '',
              record: '',
           }
       },
       methods:{
          updateRecord(){
              axios.post("http://localhost:8000/tasks"+this.rec.id, {
              'name' : this.record,
             })
             .then(data => {
               this.$emit('recordupdated',data);
               this.success = "Task added successfully";
             })
             .catch(error => console.log(error))
             this.record='';
    }  
       }
 }
</script>
<style type="text/css" scoped></styleß